## swiftsc 0.5

=== requirements.txt ===
pep8>=1.3
mock>=0.8
requests>=0.12.1
-e git+https://github.com/ahupp/python-magic.git#egg=python-magic
pytest

=== debian/changelog ===
swiftsc (0.5-1) unstable; urgency=low

  * Initial release (Closes: #717926)

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 13 Aug 2013 11:36:47 +0900

=== debian/control ===
Source: swiftsc
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools, python-pytest, pep8, python-mock, python-requests, python-magic, python3-all, python3-setuptools, python3-requests, python3-magic, python3-pytest, python3-mock
Standards-Version: 3.9.4
X-Python-Version: >= 2.6, >= 3.2
Homepage: https://github.com/mkouhei/swiftsc
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swiftsc.git
Vcs-Git: git://anonscm.debian.org/openstack/swiftsc.git

Package: python-swiftsc
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, python-requests, python-magic
Description: simple client library of OpenStack Swift
 This tool is simple client library of OpenStack Swift.
 This tool is intended to be used in the module and Python script other.
 The main purpose of this tool is used as a core module for backup tool.

Package: python3-swiftsc
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-requests, python3-magic
Description: simple client library of OpenStack Swift for python3
 This tool is simple client library of OpenStack Swift for python3.
 This tool is intended to be used in the module and Python script other.
 The main purpose of this tool is used as a core module for backup tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	for py in $(shell pyversions -vr); do \
		python$$py setup.py build --build-base=_build$$py; \
	done

override_dh_auto_test:
	set -e; \
	for py in $(shell pyversions -vr); do \
		if [ "$$py" < "3.0" ]; then \
			py.test-$$py -v $(CURDIR)/_build/lib.$(shell python -c 'import distutils.util as d; print d.get_platform()')-$$py; \
		else \
			py.test-3 -v $(CURDIR)/_build/lib ;\
		fi ;\
	done

override_dh_auto_install:
	python setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python-swiftsc && \
	python3 setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python3-swiftsc
	rm -rf $(CURDIR)/debian/python-swiftsc/usr/share/pyshared/swiftsc_tests
	rm -rf $(CURDIR)/debian/python-swiftsc/usr/lib/python2.6/dist-packages/swiftsc_tests
	rm -rf $(CURDIR)/debian/python-swiftsc/usr/lib/python2.7/dist-packages/swiftsc_tests
	rm -rf $(CURDIR)/debian/python3-swiftsc/usr/lib/python3/dist-packages/swiftsc_tests

override_dh_auto_clean:
	dh_clean
	for py in $(shell pyversions -vr); do \
		python$$py setup.py clean --build-temp=_build && \
		python$$py setup.py clean --build-temp=_build$$py; \
	done
	rm -rf $(CURDIR)/_build
